Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 233939 - sys-fs/squashfs-tools-3.3 does not respect LDFLAGS
Summary: sys-fs/squashfs-tools-3.3 does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo LiveCD Package Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2008-08-05 06:44 UTC by Martin Väth
Modified: 2010-08-09 21:00 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Väth 2008-08-05 06:44:01 UTC
* QA Notice: Files built without respecting LDFLAGS have been detected
* /usr/bin/unsquashfs
* /usr/bin/mksquashfs

I checked the patched makefile, and portage is right:
It seems that one should replace the two occurrences of "\$(CC)" by
"\$(CC) ${LDFLAGS}" in the makefile.
Comment 1 Chris Gianelloni 2008-08-28 22:52:41 UTC
This was FIXED with the addition of squashfs-tools-3.4 to the tree.